> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post recipientscommandscreate recipient



## OpenAPI

````yaml /api-reference/oda-recipient-service-1.0.0.yml post /recipients/commands/create-recipient
openapi: 3.0.1
info:
  title: oda-recipient-service
  version: 1.0.0
servers: []
security: []
paths:
  /recipients/commands/create-recipient:
    post:
      operationId: createRecipient
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateRecipient.CreateRecipientCommand'
        required: true
      responses:
        '200':
          description: createRecipient 200 response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CreateRecipient.CreateRecipientCommandResponse
components:
  schemas:
    CreateRecipient.CreateRecipientCommand:
      required:
        - nickname
      type: object
      properties:
        nickname:
          type: string
        password:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
    CreateRecipient.CreateRecipientCommandResponse:
      required:
        - password
      type: object
      properties:
        password:
          type: string

````